## org.gnu.gtk
Class TextChildAnchor

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.TextChildAnchor

public class TextChildAnchor
extends GObject

An anchor for embedding widgets within TextView widgets. You would usually only use the methods of `TextView` to sort out Child widgets.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`TextChildAnchor()` Constructs a new TextChildAnchor.
`TextChildAnchor(Handle handle)`

Method Summary
`boolean` `getDeleted()` Returns true if the anchor has been deleted from the textbuffer.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`Widget` `getWidget()` Returns the associated widget
`protected static boolean` `gtk_text_child_anchor_get_deleted(Handle anchor)`
`protected static int` `gtk_text_child_anchor_get_type()`
`protected static Handle` `gtk_text_child_anchor_get_widgets(Handle anchor)`
`protected static Handle` `gtk_text_child_anchor_new()`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextChildAnchor

    public TextChildAnchor()

  Constructs a new TextChildAnchor.

### TextChildAnchor

    public TextChildAnchor(Handle handle)

Method Detail

### getWidget

    public Widget getWidget()

  Returns the associated widget

### getDeleted

    public boolean getDeleted()

  Returns true if the anchor has been deleted from the textbuffer.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### gtk_text_child_anchor_get_type

    protected static final int gtk_text_child_anchor_get_type()

### gtk_text_child_anchor_new

    protected static final Handle gtk_text_child_anchor_new()

### gtk_text_child_anchor_get_widgets

    protected static final Handle gtk_text_child_anchor_get_widgets(Handle anchor)

### gtk_text_child_anchor_get_deleted

    protected static final boolean gtk_text_child_anchor_get_deleted(Handle anchor)